﻿using NPOI.SS.UserModel;
using Performance.DtoModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Performance.Services
{
    public class PerSheetDataReadExpend : IPerSheetDataRead
    {
        public PerSheetPoint Point => new PerSheetPoint
        {
            HeaderFirstRowNum = 3,
            HeaderLastRowNum = 4,
            HeaderFirstCellNum = 3,
            DataFirstRowNum = 6,
            FactorRow = 5,
            StandardCellNum = 3,
            DeptCellNum = 4
        };

        public PerData GetPerData(IRow row, PerHeader perHeader)
        {
            return new PerDataExpend
            {
                StandardName = row.GetCell(Point.StandardCellNum.Value).ToString(),
                Department = row.GetCell(Point.DeptCellNum.Value).ToString(),
                ParentType = perHeader.Parent?.CellName,
                TypeName = perHeader.CellName,
                CellValue = Convert.ToDecimal(row.GetCell(perHeader.PointCell).ToString()),
                Annotation = row.GetCell(perHeader.PointCell).CellComment?.String.String,
            };
        }
    }
}
